## netpanzer 0.8.7+ds

=== SConstruct ===
import os
import glob
import sys
import string
import subprocess

################################################################
# Set NetPanzer Version
################################################################

NPVERSION = '0.8.7'
SVERSION = ''

try:
    FILE = open('RELEASE_VERSION', 'r')
    NPVERSION = FILE.readline().strip(' \n\r')
    FILE.close()
except:
    pass

try:
    SVERSION = os.popen('svnversion').read()[:-1]
    SVERSION = SVERSION.split(':')[-1]
except:
    pass

print "NPVERSION = " + NPVERSION
print "SVERSION = " + SVERSION
if NPVERSION == '' and SVERSION != '':
    NPVERSION = 'svn-' + SVERSION;

thisplatform = sys.platform;
print 'Building version ' + NPVERSION + ' in ' + thisplatform

################################################################
# Fix compiling with long lines in windows
################################################################
class ourSpawn:
    def ourspawn(self, sh, escape, cmd, args, env):
        newargs = string.join(args[1:], ' ')
        cmdline = cmd + " " + newargs
        startupinfo = subprocess.STARTUPINFO()
        startupinfo.dwFlags |= subprocess.STARTF_USESHOWWINDOW
        proc = subprocess.Popen(cmdline, stdin=subprocess.PIPE, stdout=subprocess.PIPE,
            stderr=subprocess.PIPE, startupinfo=startupinfo, shell = False, env = env)
        data, err = proc.communicate()
        rv = proc.wait()
        if rv:
            print "====="
            print err
            print "====="
        return rv

def SetupSpawn( env ):
    if sys.platform == 'win32':
        buf = ourSpawn()
        buf.ourenv = env
        env['SPAWN'] = buf.ourspawn

################################################################
# Modified copy from BosWars of globSources
################################################################

def globSources(localenv, sourcePrefix, sourceDirs, pattern):
    sources = []
    sourceDirs = Split(sourceDirs)
    for d in sourceDirs:
        sources.append(glob.glob( sourcePrefix + '/' + d + '/' + pattern))
    sources = Flatten(sources)
    targetsources = []
    for s in sources:
        targetsources.append(buildpath + s)

    return targetsources

################################################################
# Make static libraries
################################################################

def MakeStaticLib(localenv, libname, libdirs, pattern):
    sources = globSources(localenv, 'src/Lib', libdirs, pattern)
    localenv.StaticLibrary( libpath + libname, sources)

################################################################
# Add options
################################################################

opts = Variables()
opts.AddVariables(
    EnumVariable('mode', 'set compile mode', 'release', allowed_values=('debug', 'release')),
    EnumVariable('cross','do a cross compilation','', allowed_values=('','mingw','linux')),
    ('datadir','define the extra directory where the netpanzer will look for data files, usefull for linux distributions, defaults to no extra directory',''),
    ('sdlconfig','sets the sdl-config full path, cross compilation sure needs this', 'sdl-config'),
    ('universal','builds universal app in Max OS X(default false, other value is true)', 'false'),
    ('compilerprefix', 'sets the prefix for the cross linux compiler, example: i686-pc-linux-gnu-', ''),
)

env = Environment(ENV = os.environ, options = opts)
Help(opts.GenerateHelpText(env))

env.Append( CCFLAGS = [ '-DPACKAGE_VERSION=\\"' + NPVERSION + '\\"' ] )

if env['datadir'] != '':
    env.Append( CCFLAGS = [ '-DNP_DATADIR=\\"' +  env['datadir'] + '\\"' ])

buildpath = 'build/'
if env['cross'] != '':
    buildpath += env['cross'] + '/'

buildpath += env['mode'] + '/'

libpath = buildpath + 'libs/'

if env['cross'] != '':
    binpath = buildpath
else:
    binpath = './'

exeappend = ''

if env['cross'] == 'mingw':
    print 'configuring for mingw cross compilation'
    env.Tool('crossmingw', toolpath = ['.'])
    env.Append( CCFLAGS = [ '-D_WIN32_WINNT=0x0501' ] )
    env.Append( LDFLAGS = [ '-mwindows' ] )
    env.Append( LIBS = [ 'ws2_32', 'mingw32' ] )
    env['WINICON'] = env.RES( 'support/icon/npicon.rc' )


env.Append( LINKFLAGS = [ '-static-libgcc' ] )

if env['mode'] == 'debug':
    env.Append(CCFLAGS = ['-g', '-O0'])
    #exeappend = '-debug'
else:
    if env['cross'] == 'mingw':
        # it seems -O2 makes the mingw port to crash, use -O1
        env.Append(CCFLAGS = '-O1')
    else:
        env.Append(CCFLAGS = '-O2')
        env.Append(CCFLAGS = '-s')
        # if needed to built static...
        #env.Append( LINKFLAGS = [ '-static-libgcc', '-static-libstdc++' ] )
env.Append(CCFLAGS = ['-Wall'])

# keep for reference for when redoing the linux cross compilation
#    crosslinuxenv= Environment(ENV = {'PATH' : os.environ['PATH']},tools = ['gcc','g++','ar','gnulink'], options=opts )
#    crosslinuxenv.Replace( CXX = env['crosslinuxcompilerprefix'] + env['CXX'] )
#    crosslinuxenv.Replace( CC = env['crosslinuxcompilerprefix'] + env['CC'] )
#    crosslinuxenv.Replace( AR = env['crosslinuxcompilerprefix'] + env['AR'] )
#    crosslinuxenv.Replace( RANLIB = env['crosslinuxcompilerprefix'] + env['RANLIB'] )
#    crosslinuxenv.Append( LINKFLAGS = [ '-static-libgcc' ] )
#    #crosslinuxenv.Prepend( _LIBFLAGS = [ '-static-libgcc' ] )
#    #crosslinuxenv.Prepend( _LIBFLAGS = [ '-lstdc++' ] )
#    #crosslinuxenv.Append( _LIBFLAGS = [ '`' + crosslinuxenv['CXX'] + ' -print-file-name=libstdc++.a`' ] )
#    #crosslinuxenv.Prepend( _LIBFLAGS = [ '/usr/local/gcc/i686-linux/lib/gcc/i686-linux/4.2.4/../../../../i686-linux/lib/libstdc++.a' ] )


env.VariantDir(buildpath,'.',duplicate=0)

luaenv = env.Clone()
physfsenv = env.Clone()
networkenv = env.Clone()

################################################################
# Configure Environments
################################################################

env.Append( CPPPATH = [ 'src/Lib', 'src/NetPanzer', 'src/Lib/physfs', 'src/Lib/lua'] )

# for this platform
if thisplatform == 'darwin':
    env.Append( CPPPATH = ['/Library/Frameworks/SDL.framework/Headers',
                           '/Library/Frameworks/SDL_mixer.framework/Headers' ] )
    networkenv.Append( CPPPATH = ['/Library/Frameworks/SDL.framework/Headers'] )
    if env['universal'] != 'false':
		env.Append( CCFLAGS = [ '-arch', 'ppc', '-arch', 'i386' ] )
		luaenv.Append( CCFLAGS = [ '-arch', 'ppc', '-arch', 'i386' ] )
		physfsenv.Append( CCFLAGS = [ '-arch', 'ppc', '-arch', 'i386' ] )
		networkenv.Append( CCFLAGS = [ '-arch', 'ppc', '-arch', 'i386' ] )
		env.Append( LINKFLAGS = [ '-mmacosx-version-min=10.4', '-arch', 'ppc', '-arch', 'i386' ] )
    else:
        env.Append( CCFLAGS = [ '-arch', 'i386' ] )
        luaenv.Append( CCFLAGS = [ '-arch', 'i386' ] )
        physfsenv.Append( CCFLAGS = [ '-arch', 'i386' ] )
        networkenv.Append( CCFLAGS = [ '-arch', 'i386' ] )
        env.Append( LINKFLAGS = [ '-arch', 'i386' ] )
    env.AppendUnique(FRAMEWORKS=Split('SDL SDL_mixer Cocoa IOKit'))
    env.Append( NPSOURCES =  ['support/macosx/SDLMain.m'] )
elif thisplatform == 'win32':

    env.Append( CPPPATH = [ 'C:/MinGW/include/SDL' ] )
    networkenv.Append( CPPPATH = [ 'C:/MinGW/include/SDL' ] )
    #env.Append( LIBPATH = [ 'C:/MinGW/lib' ] )
    env.Append( LIBS = [ 'ws2_32', 'mingw32', 'SDLMain', 'SDL' ] )
    env.Append( CCFLAGS = [ '-D_WIN32_WINNT=0x0501' ] )
    networkenv.Append( CCFLAGS = [ '-D_WIN32_WINNT=0x0501' ] )
    env.Append( _LIBFLAGS = [ '-mwindows' ] )
    env.Prepend( _LIBFLAGS = [ 'C:/MinGW/lib/SDL_mixer.lib' ] )
    env['WINICON'] = env.RES( 'support/icon/npicon.rc' )
    SetupSpawn(env)
else:
    networkenv.ParseConfig(env['sdlconfig'] + ' --cflags --libs')
    env.ParseConfig(env['sdlconfig'] + ' --cflags --libs')
    # note: for some magic reason, now doesn't need to put the full path for
    # SDL_mixer when using mingw crosscompilation
    env.Append( LIBS = ['SDL_mixer' ] )

################################################################
# Makes libs
################################################################

# BUILDS NETWORK
networkenv.Append(           CPPPATH = [ 'src/Lib' ] )
MakeStaticLib(          networkenv, 'npnetwork', 'Network', '*.cpp')

# BUILDS LUA
luaenv.Append(           CPPPATH = [ 'src/Lib/lua'] )
MakeStaticLib(          luaenv, 'nplua', 'lua', '*.c')

# BUILDS PHYSFS
physfsenv.Append( CFLAGS = [ '-DPHYSFS_SUPPORTS_ZIP=1', '-DZ_PREFIX=1', '-DPHYSFS_NO_CDROM_SUPPORT=1' ] )
physfsenv.Append( CPPPATH = [ 'src/Lib/physfs', 'src/Lib/physfs/zlib123' ] )
MakeStaticLib(physfsenv, 'npphysfs', 'physfs physfs/platform physfs/archivers physfs/zlib123', '*.c')

# BUILDS 2D
env.Append( CFLAGS = [ '-DZ_PREFIX=1' ] )
env.Append( CPPPATH = 'src/Lib/physfs/zlib123' )
MakeStaticLib(env, 'np2d', '2D 2D/libpng', '*.c*')

# BUILDS REST OF LIBRARIES
MakeStaticLib(env, 'nplibs', 'ArrayUtil INIParser Types Util optionmm','*.cpp')

################################################################
# NetPanzer source dirs
################################################################

npdirs = """
    Bot Classes Classes/AI Classes/Network Core Interfaces Network
    Objectives Particles PowerUps Resources Scripts System Units Weapons
    Views Views/Components Views/Game Views/MainMenu Views/MainMenu/Multi
    Views/MainMenu/Multi/MasterServer Views/MainMenu/Options
"""

env.Append( NPSOURCES = globSources(env, 'src/NetPanzer', npdirs, "*.cpp") )
if env.has_key('WINICON'):
    env.Append( NPSOURCES = env['WINICON'] )

env.Prepend( LIBS = ['np2d','nplua','npnetwork','nplibs','npphysfs'] )
env.Prepend( LIBPATH = libpath )

netpanzer = env.Program( binpath+'netpanzer'+exeappend, env['NPSOURCES'])

pak2bmp = env.Program( binpath+'pak2bmp'+exeappend, 'support/tools/pak2bmp.cpp')
Alias('pak2bmp',pak2bmp)

bmp2pak = env.Program( binpath+'bmp2pak'+exeappend, 'support/tools/bmp2pak.cpp')
Alias('bmp2pak',bmp2pak)

Default(netpanzer)

## netpanzer 0.8.7%2Bds

=== debian/control ===
Source: netpanzer
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bddebian@comcast.net>
Build-Depends:
 debhelper-compat (= 13),
 liblua5.1-0-dev,
 libphysfs-dev,
 libpng-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 pkg-config,
 scons,
 zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.netpanzer.info/
Vcs-Git: https://salsa.debian.org/games-team/netpanzer.git
Vcs-Browser: https://salsa.debian.org/games-team/netpanzer

Package: netpanzer
Architecture: any
Depends:
 netpanzer-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 xqf
Description: online multiplayer tactical warfare game
 netPanzer is an isometric view real-time tactical game designed for
 play across the Internet and over LAN systems. One on one games are
 possible via direct connect or modem.
 .
 netPanzer is designed for FAST ACTION combat -- it is not another resource
 management clone. In fact, there aren't any resources at all. Each player
 will have many units of different types at their disposal. Players can fight
 until their units are destroyed -- then respawn and keep on going.
 .
 The game is real-time, but it's based on quick tactical action and unit
 management. Battles progress quickly and constantly; in fact, they never
 let up. There is no stop in the action because there is no waiting for
 resources to be collected and converted into weaponry. Players can join
 or leave  multiplayer games at any time.

Package: netpanzer-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 netpanzer
Description: data files for the netPanzer game
 netPanzer is an online multiplayer tactical warfare game designed for
 play across the Internet and over LAN systems. One on one games are
 possible via direct connect or modem.
 .
 This package contains data files for netPanzer.

## netpanzer 0.8.7+ds

=== debian/changelog ===
netpanzer (0.8.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Make the build reproducible.
    Thanks to Reiner Herrmann for the report and patch. (Closes: #827150)
  * Switch to compat level 10.
  * Ensure that the package can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Jan 2017 04:54:05 +0100

netpanzer (0.8.7+ds-1) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Alexander Reichle-Schmehl ]
  * Removed myself from uploaders.

  [ Markus Koschany ]
  * Moved the package to Git.
  * Imported Upstream version 0.8.7+ds.
  * Switch to source format 3.0 (quilt).
  * Update watch file.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Use compat level 9 and require debhelper >= 9.
  * Remove quilt from Build-Depends.
  * Use canonical Vcs URLs.
  * Update Homepage field to new address.
    Thanks to Sandro Tosi for the report. (Closes: #773998)
  * Drop netpanzer-dbg package because it was replaced by the automatic -dbgsym
    package.
  * d/control: netpanzer-data: Change Recommends netpanzer to Suggests.
  * Drop dirs file.
  * Drop superfluous install file.
  * Simplify debian/rules and switch to dh sequencer.
  * Drop desktop.diff and gcc-4.3.diff. Obsolete.
  * Rebase use-system-libs.patch.
  * Add system-physfs.patch and use Debian's physfs library.
  * Add system-lua.patch and use Debian's lua5.1 library.
  * Install netpanzer.png to hicolor directory and add netpanzer.xpm to debian
    directory.
  * Add desktop-file.patch and create a valid desktop file.
  * Do not install tipsoftheday anymore. It is gone.
  * Add dh_installchangelogs override and install the old changelog.
  * Add hardening.patch and use Debian's system build flags.
  * Update debian/copyright to copyright format 1.0.
  * export DEB_BUILD_MAINT_OPTIONS = hardening=+all.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Jun 2016 11:46:40 +0200

netpanzer (0.8.4.debian.1-1.2) unstable; urgency=medium

  * Non maintainer upload.
  * Move b-d libpng12-dev to libpng-dev to ease png transition.
    (Closes: #662443)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 15:29:35 +0100

netpanzer (0.8.4.debian.1-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * fix Vcs-Svn URL to point to svn, not the incomplete ssh location

  [ Ansgar Burchardt
  * Fix Watchfile

  [ Alexander Reichle-Schmehl ]
  * Add myself as uploader
  * New upstream release (Closes: #595024)
  * Add get-orig-source to debian/rules
  * The package uses now scons as build system; adapt build depends and
    debian/rules accordingly
    * Also adapt build-depends for embedded libs, which we would not like
      to use
  * Add ${misc:Depends} to all Package dependencies
  * Move netpanzer-dbg into section debug
  * Add recommended targets build-arch and build-indep to debian/rules
  * Add debian/README.source
  * Update debian/copyright
  * Bump standards to 3.9.2 (no further changes needed)
  * Fix Vcs-Browser URL after alioth move

  [ Paul Wise ]
  * Add debian/pathces/use-system-libs.patch to use system libraries
    instead of embedded ones

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 20 Jan 2012 13:27:17 +0100

netpanzer (0.8.2-2) unstable; urgency=low

  [ Barry deFreese ]
  * Add watch file
  * Add Homepage and VCS fields to control
  * Add myself to uploaders
  * Bump Standards Version to 3.7.3 (no changes needed)

  [ Gonéri Le Bouder ]
  * dpkg-buildpackage -B doesn't create arch all package anymore
  * clean quilt .pc directory and config.log
  * add desktop.diff to remove the invalid category Application
  * call jam with the -q flag to make it stop building as soon as an error
    append
  * add a missing '#include <algorithm>' in patches/gcc-4.3.diff to fix the
    build with gcc 4.3 (Closes: #462205)
  * remove the homepage URL from the descriptions

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue,  5 Feb 2008 18:34:23 +0100

netpanzer (0.8.2-1) unstable; urgency=low

  * new upstream release (Closes: #294213)
   - merge netpanzer-data and netpanzer like upstream did
   - remove merged patches:
    * 01_gcc4.1.patch
    * 02_setframe_denial_of_service.patch
  * change from pkg-games to Debian Games Team in copyright
   - removed this entry from 0.8+svn20060319-2 changelog entry
  * creates netpanzer-dbg that provide debugging symbol in order to help
    bugchasing (thanks Fabian Fagerholm) (Closes: #401775)
  * netpanze depends on netpanzer-data (= ${source:Version})
  * cdbs simple-patchsys.ml replaced by quilt
  * add Aaron Perez in the debian/copyright
  * add gcc-4.3.diff Thanks again Martin Michlmayr (Closes: #417445)
  * copy a fresh config.{guess,sub} during the build
   + add autotools-dev in builddeps

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 11 Jul 2007 17:02:32 +0200

netpanzer (0.8+svn20060319-2) unstable; urgency=low

  * fix watch file
  * Standards-Version: 3.7.2
  * [CVE-2006-2575] setFrame() Denial of Service Vulnerability
    Closes: #370146
  * switch from dpatch to simple-patchsys

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun,  4 Jun 2006 14:27:45 +0200

netpanzer (0.8+svn20060319-1) unstable; urgency=low

  * New SVN snapshot.
  * Fix security issue against server CAN-2005-2295 (Closes: #318329)
  * Fix FTBFS with g++ 4.1 (Closes: #355739)
  * New maintainer: Debian pkg-games group

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 19 Mar 2006 18:54:02 +0100

netpanzer (0.8+svn20050612-1) unstable; urgency=low

  * New SVN snapshot.
    - fixes crash with not full servers under PowerPC (Closes: #312918)
  * Hints are not long titles. Fixed menu file (Closes: #296877)

 -- Bartosz Fenski <fenio@debian.org>  Sun, 12 Jun 2005 13:48:12 +0200

netpanzer (0.8-1) unstable; urgency=low

  * New upstream version.
  * s/fenio@o2.pl/fenio@debian.org/

 -- Bartosz Fenski <fenio@debian.org>  Wed, 26 Jan 2005 22:45:11 +0100



=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Barry deFreese <bddebian@comcast.net>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  liblua5.1-0-dev,
  libphysfs-dev,
  libpng-dev,
@@ -15,11 +15,10 @@
  pkg-config,
  scons,
  zlib1g-dev
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
-Homepage: https://www.netpanzer.info/
-Vcs-Git: https://salsa.debian.org/games-team/netpanzer.git
-Vcs-Browser: https://salsa.debian.org/games-team/netpanzer
+Standards-Version: 3.9.8
+Homepage: http://www.netpanzer.info/
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/netpanzer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/netpanzer.git
 
 Package: netpanzer
 Architecture: any
@@ -47,7 +46,6 @@
 
 Package: netpanzer-data
 Architecture: all
-Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	chmod a-x pics/flags/karmapa.bmp
	scons datadir=/usr/share/games/netpanzer

override_dh_auto_clean:
	dh_auto_clean
	[ -f SConstruct ] || scons --clean
	find . -name "*.o" -delete
	find . -name "*.a" -delete
	find . -name ".sconsign.dblite" -delete
	$(RM) netpanzer


override_dh_installchangelogs:
	dh_installchangelogs docs/old/ChangeLog

=== debian/watch ===
#version=4
# FIXME 404 not found?
#http://www.netpanzer.info/Download/NetPanzer/Releases/0.8.7/netpanzer-0.8.7-source.zip
